# Uses of Interface
writer2latex.api.ContentEntry

Packages that use ContentEntry
Package
Description
writer2latex.api
writer2latex.base

## Uses of ContentEntry in writer2latex.api

Methods in writer2latex.api that return ContentEntry
Modifier and Type
Method
Description
`ContentEntry`
ConverterResult.`getBibliographyFile()`
Get the entry which contains the bibliography
`ContentEntry`
ConverterResult.`getCoverFile()`
Get the entry which contains the cover (which usually will contain a cover image)
`ContentEntry`
ConverterResult.`getCoverImageFile()`
Get the entry which contains the actual cover image
`ContentEntry`
ConverterResult.`getIndexFile()`
Get the entry which contains the alphabetical index
`ContentEntry`
ConverterResult.`getLofFile()`
Get the entry which contains the list of figures
`ContentEntry`
ConverterResult.`getLotFile()`
Get the entry which contains the list of tables
`ContentEntry`
ConverterResult.`getTextFile()`
Get the entry which contains the start of the actual text (the first chapter, or simply the start of the document if there are no headings)
`ContentEntry`
ConverterResult.`getTitlePageFile()`
Get the entry which contains the table page
`ContentEntry`
ConverterResult.`getTocFile()`
Get the entry which contains the table of contents
Methods in writer2latex.api that return types with arguments of type ContentEntry
Modifier and Type
Method
Description
`List<ContentEntry>`
ConverterResult.`getContent()`
Get the content table (based on headings) for this `ConverterResult`

## Uses of ContentEntry in writer2latex.base

Classes in writer2latex.base that implement ContentEntry
Modifier and Type
Class
Description
`class`
`ContentEntryImpl`
Methods in writer2latex.base that return ContentEntry
Modifier and Type
Method
Description
`ContentEntry`
ConverterResultImpl.`getBibliographyFile()`
`ContentEntry`
ConverterResultImpl.`getCoverFile()`
`ContentEntry`
ConverterResultImpl.`getCoverImageFile()`
`ContentEntry`
ConverterResultImpl.`getIndexFile()`
`ContentEntry`
ConverterResultImpl.`getLofFile()`
`ContentEntry`
ConverterResultImpl.`getLotFile()`
`ContentEntry`
ConverterResultImpl.`getTextFile()`
`ContentEntry`
ConverterResultImpl.`getTitlePageFile()`
`ContentEntry`
ConverterResultImpl.`getTocFile()`
Methods in writer2latex.base that return types with arguments of type ContentEntry
Modifier and Type
Method
Description
`List<ContentEntry>`
ConverterResultImpl.`getContent()`
Methods in writer2latex.base with parameters of type ContentEntry
Modifier and Type
Method
Description
`void`
ConverterResultImpl.`addContentEntry(ContentEntry entry)`
Add an entry to the "external" table of contents
`void`
ConverterResultImpl.`setBibliographyFile(ContentEntry entry)`
Define the entry which contains the bibliography
`void`
ConverterResultImpl.`setCoverFile(ContentEntry entry)`
Define the entry which contains the cover
`void`
ConverterResultImpl.`setCoverImageFile(ContentEntry entry)`
Define the entry which contains the cover image
`void`
ConverterResultImpl.`setIndexFile(ContentEntry entry)`
Define the entry which contains the alphabetical index
`void`
ConverterResultImpl.`setLofFile(ContentEntry entry)`
Define the entry which contains the list of figures
`void`
ConverterResultImpl.`setLotFile(ContentEntry entry)`
Define the entry which contains the list of tables
`void`
ConverterResultImpl.`setTextFile(ContentEntry entry)`
Define the entry which contains the main text file
`void`
ConverterResultImpl.`setTitlePageFile(ContentEntry entry)`
Define the entry which contains the title page
`void`
ConverterResultImpl.`setTocFile(ContentEntry entry)`
Define the entry which contains the table of contents